org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTAliasDeclaration

All Superinterfaces:
  IASTAttributeOwner, IASTDeclaration, IASTNameOwner, IASTNode

    public interface ICPPASTAliasDeclaration
    extends IASTDeclaration, IASTNameOwner, IASTAttributeOwner

Represents a C++ alias declaration. e.g. struct Type {}; using Alias = Type;

Since:
  5.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `ALIAS_NAME` `ALIAS_NAME` is the name that is brought into the local scope.
`static ICPPASTAliasDeclaration[]` `EMPTY_ALIAS_DECLARATION_ARRAY`
`static ASTNodeProperty` `TARGET_TYPEID` `MAPPING_TYPE<ID/code> represents the pre-existing type id which the new symbol aliases.`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTAliasDeclaration` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTAliasDeclaration` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTName` `getAlias()` Returns the alias name.
`ICPPASTTypeId` `getMappingTypeId()` Returns the mapping type id.
`void` `setAlias(IASTName aliasName)` Sets the alias name.
`void` `setMappingTypeId(ICPPASTTypeId mappingTypeId)` Sets the mapping type id.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_ALIAS_DECLARATION_ARRAY

    static final ICPPASTAliasDeclaration[] EMPTY_ALIAS_DECLARATION_ARRAY

#### ALIAS_NAME

    static final ASTNodeProperty ALIAS_NAME

`ALIAS_NAME` is the name that is brought into the local scope.

#### TARGET_TYPEID

    static final ASTNodeProperty TARGET_TYPEID

`MAPPING_TYPE<ID/code> represents the pre-existing type id which the new symbol aliases.`

### Method Detail

#### getAlias

    IASTName getAlias()

Returns the alias name.

Returns:
  `IASTName`

#### setAlias

    void setAlias(IASTName aliasName)

Sets the alias name.

Parameters:
  `aliasName` - `IASTName`

#### getMappingTypeId

    ICPPASTTypeId getMappingTypeId()

Returns the mapping type id.

Returns:
  `ICPPASTTypeId`

#### setMappingTypeId

    void setMappingTypeId(ICPPASTTypeId mappingTypeId)

Sets the mapping type id.

Parameters:
  `mappingTypeId` - `ICPPASTTypeId`

#### copy

    ICPPASTAliasDeclaration copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`

#### copy

    ICPPASTAliasDeclaration copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.